| Home | Libraries | People | FAQ | More

###### connection::connect (1 of 2 overloads)

Establishes a connection to a MySQL server.

###### Synopsis

    template<
        typename EndpointType>
    void
    connect(
        const EndpointType& endpoint,
        const handshake_params& params,
        error_code& ec,
        diagnostics& diag);

###### Description

This function is only available if `Stream` satisfies the `SocketStream` concept.

Connects the underlying stream and performs the handshake with the server. The underlying stream is closed in case of error. Prefer this function to `connection::handshake`.

If using a SSL-capable stream, the SSL handshake will be performed by this function.

`endpoint` should be convertible to `Stream::lowest_layer_type::endpoint_type`.